Bug 752771 - Review Request: darkserver - A GNU build-id details service
Summary: Review Request: darkserver - A GNU build-id details service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-10 12:02 UTC by kushaldas@gmail.com
Modified: 2012-04-12 06:03 UTC (History)
5 users (show)

Fixed In Version: darkserver-0.5.3-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-12 06:03:32 UTC
redhat: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description kushaldas@gmail.com 2011-11-10 12:02:14 UTC
Spec URL: http://kushal.fedorapeople.org/packages/darkserver.spec
SRPM URL: http://kushal.fedorapeople.org/packages/darkserver-0.1-1.fc15.src.rpm
Description: Service to provide details of GNU build-id

Comment 1 Robert Scheck 2011-11-11 07:35:41 UTC
Some thoughts while sitting at the airport:

a) %description is not very informative. Should be more verbose :)
b) %doc doesn't contain any license/copyright file. But you are upstream ;-)
c) Why "%package -n darkserver-import" etc. instead of "%package import" etc.?
d) Is it expected that subpackage does not depend on base package?
e) Is this package for Fedora 15+/EPEL 6+ only or also for older releases?
f) Source0 is not available at mentioned location

Comment 2 Kushal Das 2011-11-11 08:37:03 UTC
New SPEC: http://kushal.fedorapeople.org/packages/darkserver.spec
NEW SRPM: http://kushal.fedorapeople.org/packages/darkserver-0.1-2.fc15.src.rpm

a) Updated the description
b) Will add the license file in the next release of darkserver and will add it in the spec file
c) Fixed the sub-package name 
d) It is expected that sub-package does not depend on base package
e) Hopefully for Fedora 15+/EPEL 6+ only (no target to backport it for now)
f) Fixed the source  location in the server :)

Comment 3 kushaldas@gmail.com 2011-11-11 08:48:48 UTC
Sorry for making above comment from another account :( Maintaining two different account is sometimes troublesome.

Comment 4 kushaldas@gmail.com 2011-11-17 06:18:32 UTC
Ping, rsc, you looked into this ?

Comment 5 Robert Scheck 2011-11-18 23:07:46 UTC
Sorry for my delay. When now re-checking, I recognized that the following 
directories are not owned by any package:

 - /etc/darkserver/
 - /usr/share/darkserver/
 - /usr/share/darkserver/static/

I think in your case, /etc/darkserver/ should be owned by both packages or
create a -filesystem/-common subpackage (which seems overkill to me).

Comment 6 Robert Scheck 2011-11-18 23:08:52 UTC
Btw "%files import" is also enough, but that's minor ;-)

Comment 7 kushaldas@gmail.com 2011-11-22 12:02:46 UTC
Spec URL: http://kushal.fedorapeople.org/packages/darkserver.spec
SRPM URL: http://kushal.fedorapeople.org/packages/darkserver-0.1-3.fc16.src.rpm

fixes are in place as you suggested.

Comment 8 Robert Scheck 2011-11-28 20:06:36 UTC
Okay, here we go:

[ DONE ] MUST: rpmlint must be run on the source rpm and all binary rpms the 
         build produces. The output should be posted in the review.
$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm       
darkserver.noarch: W: no-manual-page-for-binary darkserver.wsgi
darkserver-import.noarch: W: no-documentation
darkserver-import.noarch: W: no-manual-page-for-binary darkserver-import
3 packages and 0 specfiles checked; 0 errors, 3 warnings.
$
[  OK  ] MUST: The package must be named according to the Package Naming 
         Guidelines.
[  OK  ] MUST: The spec file name must match the base package %{name}, in the 
         format %{name}.spec unless your package has an exemption.
[  OK  ] MUST: The package must meet the Packaging Guidelines.
[  OK  ] MUST: The package must be licensed with a Fedora approved license and 
         meet the Licensing Guidelines.
[  OK  ] MUST: The License field in the package spec file must match the actual 
         license.
[  N/A ] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of the 
         license(s) for the package must be included in %doc.
         -> Already pinged upstream in comment #1 for future releases
[  OK  ] MUST: The spec file must be written in American English.
[  OK  ] MUST: The spec file for the package MUST be legible.
[  OK  ] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
         -> ef32b586f50446b33a56facdba6ad200  darkserver-0.1.tar.gz
         -> ef32b586f50446b33a56facdba6ad200  darkserver-0.1.tar.gz.1
[  OK  ] MUST: The package MUST successfully compile and build into binary rpms 
         on at least one primary architecture.
[  N/A ] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the spec 
         in ExcludeArch. Each architecture listed in ExcludeArch MUST have a 
         bug filed in bugzilla, describing the reason that the package does not 
         compile/build/work on that architecture. The bug number MUST be placed 
         in a comment, next to the corresponding ExcludeArch line.
[  OK  ] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[  N/A ] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden.
[  N/A ] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[  OK  ] MUST: Packages must NOT bundle copies of system libraries.
[  N/A ] MUST: If the package is designed to be relocatable, the packager
         must state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without
         this, use of Prefix: /usr is considered a blocker.
[  OK  ] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[  OK  ] MUST: A Fedora package must not list a file more than once in the spec 
         file's %files listings. (Notable exception: license texts in specific 
         situations).
[  OK  ] MUST: Permissions on files must be set properly. Executables should be 
         set with executable permissions, for example.
[  OK  ] MUST: Each package must consistently use macros.
[  OK  ] MUST: The package must contain code, or permissable content.
[  N/A ] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[  OK  ] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[  N/A ] MUST: Header files must be in a -devel package.
[  N/A ] MUST: Static libraries must be in a -static package.
[  N/A ] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[  N/A ] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name}%
         {?_isa} = %{version}-%{release}
[  N/A ] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[  N/A ] MUST: Packages containing GUI applications must include a 
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put
         a comment in the spec file with your explanation.
[  OK  ] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to be 
         installed should own the files or directories that other packages may 
         rely upon. This means, for example, that no package in Fedora should 
         ever share ownership with any of the files or directories owned by the 
         filesystem or man package. If you feel that you have a good reason to 
         own a file or directory that another package owns, then please present 
         that at package review time.
[  OK  ] MUST: All filenames in rpm packages must be valid UTF-8.


[ DONE ] SHOULD: If the source package does not include license text(s) as a 
         separate file from upstream, the packager SHOULD query upstream to 
         include it.
         -> Already pinged upstream in comment #1 for future releases
[  N/A ] SHOULD: The description and summary sections in the package spec file 
         should contain translations for supported Non-English languages, if 
         available.
[  OK  ] SHOULD: The reviewer should test that the package builds in mock.
[  OK  ] SHOULD: The package should compile and build into binary rpms on all 
         supported architectures.
[ SKIP ] SHOULD: The reviewer should test that the package functions as 
         described. A package should not segfault instead of running, for 
         example.
[  N/A ] SHOULD: If scriptlets are used, those scriptlets must be sane. This is 
         vague, and left up to the reviewers judgement to determine sanity.
[  N/A ] SHOULD: Usually, subpackages other than devel should require the base 
         package using a fully versioned dependency.
[  N/A ] SHOULD: The placement of pkgconfig(.pc) files depends on their 
         usecase, and this is usually for development purposes, so should be 
         placed in a -devel pkg. A reasonable exception is that the main pkg 
         itself is a devel tool not installed in a user runtime, e.g. gcc or 
         gdb.
[  N/A ] SHOULD: If the package has file dependencies outside of /etc, /bin, 
         /sbin, /usr/bin, or /usr/sbin consider requiring the package which 
         provides the file instead of the file itself.
[  N/A ] SHOULD: your package should contain man pages for binaries/scripts. If 
         it doesn't, work with upstream to add them where they make sense.


Package looks good from my point of view, thus: APPROVED

Comment 9 kushaldas@gmail.com 2011-12-06 06:28:01 UTC
New Package SCM Request
=======================
Package Name: darkserver
Short Description: GNU build-id service
Owners: kushal
Branches: el6 f16
InitialCC: sundaram

Comment 10 Gwyn Ciesla 2011-12-07 12:51:55 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2011-12-27 08:59:16 UTC
darkserver-0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/darkserver-0.3-1.el6

Comment 12 Fedora Update System 2011-12-27 20:33:43 UTC
darkserver-0.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 13 Fedora Update System 2012-03-22 10:24:52 UTC
darkserver-0.5.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/darkserver-0.5.2-1.el6

Comment 14 Fedora Update System 2012-03-22 18:17:17 UTC
darkserver-0.5.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/darkserver-0.5.3-1.el6

Comment 15 Fedora Update System 2012-04-12 06:03:32 UTC
darkserver-0.5.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.